#ifndef _CREDHY_H
#define _CREDHY_H

typedef struct {
	int	k_group; /* the set of G and P */
	int	k_active;
	int	k_crc8;
	int	k_idx;
	int	k_leng;
	int	k_myrand[4];
	char	k_lcrc8[1];
	char	k_rcrc8[1];
	char	k_str[128];
} Credhy;

static struct crc8a {
	unsigned char	c_crc[256][256];
} *CRC8a;
#define CRC8(crc,ch)	CRC8a?(CRC8a->c_crc[0xFF&crc][0xFF&ch]):CRC8f(crc,ch)

#endif /* _CREDHY_H */
