#include <stdio.h>
typedef void (*VFUNCP)();

#include <lwp/lwp.h>
#include <lwp/stackdep.h>
#define STKSIZE 0x20000

static thread1(av)
	char *av[];
{	VFUNCP func;

	func = (VFUNCP)av[0];
	(*func)(av[1],av[2],av[3],av[4],av[5],av[6],av[7]);
	/*porting_dbg("#### thread_exit()");*/
	free(av);
	lwp_destroy(SELF);
	porting_dbg("#### thread_exit() failed.");
	exit(-1);
}

static int init;

static caddr_t thread_fork(ssize,func,a1,a2,a3,a4,a5,a6,a7,a8)
	VFUNCP func;
	char *a1,*a2,*a3,*a4,*a5,*a6,*a7,*a8;
{	int err;
	char **av;
	thread_t *tid;
	stkalign_t *stack;
	int prio;
	int flags;

	av = (char **)malloc(sizeof(void*)*8);
	av[0] = (char*)func;
	av[1] = a1; av[2] = a2; av[3] = a3;
	av[4] = a4; av[5] = a5; av[6] = a6; av[7] = a7;

	if( ssize == 0 )
		ssize = STKSIZE;

	prio = MINPRIO;
	flags = 0;
	if( init == 0 ){
		lwp_setstkcache(ssize,8);
		init = 1;
	}
	stack = lwp_newstk(ssize);
	err = lwp_create(&tid,thread1,prio,flags,stack,1,av);
	if( err )
		porting_dbg("#### lwp_create() failed: %d",err);
	return tid->thread_id;
}
static thread_yield()
{
	return lwp_yield(SELF);
}

char *WithThread = "lwp_create";
caddr_t (*ThreadFork)() = thread_fork;
int (*ThreadYield)() = thread_yield;
