/*////////////////////////////////////////////////////////////////////////
Copyright (c) 1995 Electrotechnical Laboratry (ETL), AIST, MITI

Permission to use, copy, modify, and distribute this material for any
purpose and without fee is hereby granted, provided that the above
copyright notice and this permission notice appear in all copies, and
that the name of ETL not be used in advertising or publicity pertaining
to this material without the specific, prior written permission of an
authorized representative of ETL.
ETL MAKES NO REPRESENTATIONS ABOUT THE ACCURACY OR SUITABILITY OF THIS
MATERIAL FOR ANY PURPOSE.  IT IS PROVIDED "AS IS", WITHOUT ANY EXPRESS
OR IMPLIED WARRANTIES.
/////////////////////////////////////////////////////////////////////////
Content-Type:	program/C; charset=US-ASCII
Program:	param.h
Author:		Yutaka Sato <ysato@etl.go.jp>
Description:
History:
	950205	created
//////////////////////////////////////////////////////////////////////#*/

extern char *DELEGATE_getEnv();

extern char P_ABORTLOG[];
extern char P_ACTDIR[];
extern char P_ADMDIR[];
extern char P_ADMIN[];
extern char P_ADMINPASS[];
extern char P_AUTH[];
extern char P_AUTHORIZER[];
extern char P_BASEURL[];
extern char P_CACHE[];
extern char P_CACHEDIR[];
extern char P_CACHEFILE[];
extern char P_CFI[];
extern char P_CGIENV[];
extern char P_CHARCODE[];
extern char P_CHARSET[];
extern char P_CHROOT[];
extern char P_CMAP[];
extern char P_CONNECT[];
extern char P_COUNTER[];
extern char P_CRON[];
extern char P_CRONS[];
extern char P_CRYPT[];
extern char P_DATAPATH[];
extern char P_DBFILE[];
extern char P_DGOPTS[];
extern char P_DGPATH[];
extern char P_DGROOT[];
extern char P_DELAY[];
extern char P_DELEGATE[];
extern char P_DEST[];
extern char P_DNSCONF[];
extern char P_ERRORLOG[];
extern char P_ETCDIR[];
extern char P_EXPIRE[];
extern char P_EXPIRELOG[];
extern char P_FCL[];
extern char P_FMD[];
extern char P_FSV[];
extern char P_FFROMCL[];
extern char P_FFROMMD[];
extern char P_FFROMSV[];
extern char P_FILETYPE[];
extern char P_FORWARD[];
extern char P_FTOCL[];
extern char P_FTOMD[];
extern char P_FTOSV[];
extern char P_FTPCONF[];
extern char P_FTPTUNNEL[];
extern char P_FUNC[];
extern char P_HOSTS[];
extern char P_HOSTLIST[];
extern char P_HTMLCONV[];
extern char P_HTTPCONF[];
extern char P_ICP[];
extern char P_ICPCONF[];
extern char P_INETD[];
extern char P_INPARAM[];
extern char P_LIBDIR[];
extern char P_LIBPATH[];
extern char P_LOG[];
extern char P_LOGDIR[];
extern char P_LOGFILE[];
extern char P_LOGCENTER[];
extern char P_MAILSPOOL[];
extern char P_MANAGER[];
extern char P_MASTER[];
extern char P_MASTERP[];
extern char P_MAXIMA[];
extern char P_MIMECONV[];
extern char P_MOUNT[];
extern char P_MYAUTH[];
extern char P_NNTPCONF[];
extern char P_OWNER[];
extern char P_OVERRIDE[];
extern char P_PERMIT[];
extern char P_PAMCONF[];
extern char P_PGP[];
extern char P_PIDFILE[];
extern char P_PORT[];
extern char P_PROTOLOG[];
extern char P_PROXY[];
extern char P_QPORT[];
extern char P_RIDENT[];
extern char P_RPORT[];
extern char P_REACHABLE[];
extern char P_REJECT[];
extern char P_RES_CONF[];
extern char P_RES_DEBUG[];
extern char P_RES_LOG[];
extern char P_RES_NS[];
extern char P_RES_RR[];
extern char P_RES_VRFY[];
extern char P_RESOLV[];
extern char P_RELIABLE[];
extern char P_REMITTABLE[];
extern char P_RELAY[];
extern char P_ROUTE[];
extern char P_SERVCONF[];
extern char P_SERVER[];
extern char P_SERVICE[];
extern char P_SHARE[];
extern char P_SMTPCONF[];
extern char P_SMTPGATE[];
extern char P_SMTPSERVER[];
extern char P_SOCKOPT[];
extern char P_SOCKS[];
extern char P_SOXCONF[];
extern char P_SRCIF[];
extern char P_SSLTUNNEL[];
extern char P_SYSLOG[];
extern char P_INVITE[];
extern char P_THRUWAY_ENTR[];
extern char P_THRUWAY_EXIT[];
extern char P_TMPDIR[];
extern char P_TUNNEL[];
extern char P_TIMEOUT[];
extern char P_TRACELOG[];
extern char P_UMASK[];
extern char P_URICONV[];
extern char P_VARDIR[];
extern char P_VSAP[];
extern char P_WORKDIR[];
extern char P_XCOM[];
extern char P_XFIL[];

extern char P_EXEC_PATH[];
extern char P_EXEC_ENV[];
extern char P_START_TIME[];
extern char P_ALIVE_PEERS[];
extern char P_MASTERPMARK[];
extern char P_INPUT[];

extern int scan_CMAP();
extern int scan_HOSTS();
extern int scan_MASTER();
extern int scan_PROXY();
extern int scan_MOUNT();
extern int scan_PERMIT();
extern int scan_REMITTABLE();
extern int scan_RELIABLE();
extern int scan_REACHABLE();
extern int scan_REJECT();
extern int scan_ROUTE();
extern int scan_CONNECT();
extern int scan_LOG();
extern int scan_AUTH();
extern int scan_AUTHORIZER();
extern int scan_INVITE();
extern int scan_FILETYPE();
extern int scan_OWNER();
extern int scan_CHARCODE();
extern int scan_CHARSET();
extern int scan_HTTPCONF();
extern int scan_NNTPCONF();
extern int scan_EXPIRE();
extern int scan_RELAY();
extern int scan_TIMEOUT();
extern int scan_DELAY();
extern int scan_PAMCONF();
extern int scan_PGP();
extern int scan_MAXIMA();
extern int scan_PORT();
extern int scan_VSAP();
extern int scan_CRON();
extern int scan_CRONS();
extern int scan_SMTPCONF();
extern int scan_SMTPGATE();
extern int scan_INETD();
extern int scan_ICP();
extern int scan_ICPCONF();
extern int scan_DNSCONF();
extern int scan_HTMLCONV();
extern int scan_URICONV();
extern int scan_SHARE();
extern int scan_SOCKOPT();
extern int scan_SOCKS();
extern int scan_SOXCONF();
extern int scan_FTPCONF();
extern int scan_SRCIF();
extern int scan_MYAUTH();
extern int scan_FORWARD();
extern int scan_HOSTLIST();
extern int scan_FTPTUNNEL();
extern int scan_SERVICE();
extern int scan_RIDENT();
extern int scan_LOGFILE();
extern int scan_FCL();
extern int scan_FTOCL();
extern int scan_FFROMCL();
extern int scan_FSV();
extern int scan_FTOSV();
extern int scan_FFROMSV();
extern int scan_BASEURL();
extern int scan_DELEGATE();

#define INC_SYM		"+="
#define INC_SYM_LEN	(sizeof(INC_SYM)-1)
